be.fgov.ehealth.rn.registries.commons.v1

## Class ValidationErrors

- java.lang.Object
- - be.fgov.ehealth.rn.registries.commons.v1.ValidationErrors

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:12+01:00",
                 comments="JAXB RI v2.3.7")
      public class ValidationErrors
      extends Object
      implements Serializable

  Type defining the structure of the part of the response containing errors in the validation of the input

  Java class for ValidationErrorsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ValidationErrorsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ValidationError" type="{urn:be:fgov:ehealth:rn:registries:commons:v1}DetailedStatusType" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationErrors()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DetailedStatusType>` | `getValidationErrors()` Gets the value of the validationErrors property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationErrors

          public ValidationErrors()

  - ### Method Detail

    - #### getValidationErrors

          public List<DetailedStatusType> getValidationErrors()

      Gets the value of the validationErrors property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the validationErrors property.

      For example, to add a new item, do as follows:

              getValidationErrors().add(newItem);

      Objects of the following type(s) are allowed in the list `DetailedStatusType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.